#include "kdb_locl.h"

RCSID("$Id: copykey.c,v 1.7 1996/05/29 23:24:21 assar Exp $");

void
copy_from_key(des_cblock in, u_int32_t *lo, u_int32_t *hi)
{
    memcpy(lo, ((char *) in) + 0, 4);
    memcpy(hi, ((char *) in) + 4, 4);
}

void
copy_to_key(u_int32_t *lo, u_int32_t *hi, des_cblock out)
{
    memcpy(((char *)out) + 0, lo, 4);
    memcpy(((char *)out) + 4, hi, 4);
}
